Meter types

GET /api/v1/equipment_types

Returns a paged list of meter types.

Query parameters

page integer

Page number.

Response fields

AttributeDescription
idIdentifier (unique key) of the meter type in the system
nameName of the metering device type
equipment_kind_nameName of the metering device type
telemetry_type_nameName of the telemetry type
resource_nameEnergy resource
descriptionDescription
total_pagesTotal number of pages in the returned set
current_pageCurrent page
next_pageNext page available for downloading, null if the current page is the last

Request

bash
curl -i \
  --header "access-token: *********************" \
  --header "token-type: Bearer" \
  --header "client: **********************" \
  --header "uid: api-user@example.com" \
  --header "Content-Type: application/json" \
  --request GET \
  "https://api.vadsro.eu/api/v1/equipment_types?page=1"

Response

json
{
  "data": [
    {
      "id": 1,
      "name": "BK",
      "equipment_kind_name": "Corrector",
      "telemetry_type_name": "vdTel-1",
      "resource_name": "Gas",
      "description": "Gas volume corrector BK"
    }
  ],
  "total_pages": 1,
  "current_page": 1,
  "next_page": null
}
Last updated on

Was this page helpful?